.e-scrollview {
  @import '../../../themes/mixins/utils';
  @import '../../../themes/mixins/adaptive';

  position: relative !important;

  /* Default value */
  max-height: 20rem;

  @include scroll-chaining('y');

  /* Hide scrollbar */
  /* Note: Overflow hidden prevent position sticky work on Safari */
  &::-webkit-scrollbar {
    /* optional: just make scrollbar invisible */
    background: transparent;

    /* remove scrollbar space */
    width: 0;
  }

  .e-scrollview-content {
    height: inherit;
  }

  /* Mobile */
  @include mobile {
    -webkit-overflow-scrolling: auto;
  }
}
